CREATE TABLE inv_item_locations_ (
    INVENTORY_LOCATION_ID        NUMBER(18, 0) ,
    SUBINVENTORY_ID              NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    DESCRIPTION                  VARCHAR2(200) ,
    DESCRIPTIVE_TEXT             VARCHAR2(960) ,
    DISABLE_DATE                 DATE          ,
    INVENTORY_LOCATION_TYPE      VARCHAR2(120) ,
    PICKING_ORDER                NUMBER        ,
    PHYSICAL_LOCATION_CODE       VARCHAR2(40)  ,
    LOCATION_MAXIMUM_UNITS       NUMBER        ,
    SUBINVENTORY_CODE            VARCHAR2(40)  ,
    LOCATION_WEIGHT_UOM_CODE     VARCHAR2(12)  ,
    MAX_WEIGHT                   NUMBER        ,
    VOLUME_UOM_CODE              VARCHAR2(12)  ,
    MAX_CUBIC_AREA               NUMBER        ,
    X_COORDINATE                 NUMBER        ,
    Y_COORDINATE                 NUMBER        ,
    Z_COORDINATE                 NUMBER        ,
    SEGMENT1                     VARCHAR2(160) ,
    SEGMENT2                     VARCHAR2(160) ,
    SEGMENT3                     VARCHAR2(160) ,
    SEGMENT4                     VARCHAR2(160) ,
    SEGMENT5                     VARCHAR2(160) ,
    SEGMENT6                     VARCHAR2(160) ,
    SEGMENT7                     VARCHAR2(160) ,
    SEGMENT8                     VARCHAR2(160) ,
    SEGMENT9                     VARCHAR2(160) ,
    SEGMENT10                    VARCHAR2(160) ,
    SEGMENT11                    VARCHAR2(160) ,
    SEGMENT12                    VARCHAR2(160) ,
    SEGMENT13                    VARCHAR2(160) ,
    SEGMENT14                    VARCHAR2(160) ,
    SEGMENT15                    VARCHAR2(160) ,
    SEGMENT16                    VARCHAR2(160) ,
    SEGMENT17                    VARCHAR2(160) ,
    SEGMENT18                    VARCHAR2(160) ,
    SEGMENT19                    VARCHAR2(160) ,
    SEGMENT20                    VARCHAR2(160) ,
    SUMMARY_FLAG                 VARCHAR2(4)   ,
    ENABLED_FLAG                 VARCHAR2(4)   ,
    START_DATE_ACTIVE            DATE          ,
    END_DATE_ACTIVE              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROJECT_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    TASK_ID                      NUMBER(18, 0) ,
    PHYSICAL_LOCATION_ID         NUMBER(18, 0) ,
    PICK_UOM_CODE                VARCHAR2(12)  ,
    DIMENSION_UOM_CODE           VARCHAR2(12)  ,
    LOCATION_LENGTH              NUMBER        ,
    LOCATION_WIDTH               NUMBER        ,
    LOCATION_HEIGHT              NUMBER        ,
    LOCATOR_STATUS               NUMBER(18, 0) ,
    STATUS_ID                    NUMBER(18, 0) ,
    CURRENT_CUBIC_AREA           NUMBER        ,
    AVAILABLE_CUBIC_AREA         NUMBER        ,
    CURRENT_WEIGHT               NUMBER        ,
    AVAILABLE_WEIGHT             NUMBER        ,
    LOCATION_CURRENT_UNITS       NUMBER        ,
    LOCATION_AVAILABLE_UNITS     NUMBER        ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    SUGGESTED_CUBIC_AREA         NUMBER        ,
    SUGGESTED_WEIGHT             NUMBER        ,
    LOCATION_SUGGESTED_UNITS     NUMBER        ,
    EMPTY_FLAG                   VARCHAR2(4)   ,
    MIXED_ITEMS_FLAG             VARCHAR2(4)   ,
    DROPPING_ORDER               NUMBER        ,
    AVAILABILITY_TYPE            NUMBER(9, 0)  ,
    INVENTORY_ATP_CODE           NUMBER(9, 0)  ,
    RESERVABLE_TYPE              NUMBER(9, 0)  ,
    ALIAS                        VARCHAR2(120) ,
    DEPRECIABLE_FLAG             NUMBER(9, 0)  ,
    LOCATOR_NAME                 VARCHAR2(4000),
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    FULL_LPN_FLAG                VARCHAR2(4)   ,
    INVENTORY_LOCATION_ID        NUMBER(18, 0) ,
    SUBINVENTORY_ID              NUMBER(18, 0) ,
    STRUCTURE_INSTANCE_NUMBER    NUMBER(18, 0) ,
    ORGANIZATION_ID              NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)  ,
    LAST_UPDATE_DATE             TIMESTAMP(6)  ,
    LAST_UPDATED_BY              VARCHAR2(256) ,
    CREATION_DATE                TIMESTAMP(6)  ,
    CREATED_BY                   VARCHAR2(256) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    DESCRIPTION                  VARCHAR2(200) ,
    DESCRIPTIVE_TEXT             VARCHAR2(960) ,
    DISABLE_DATE                 DATE          ,
    INVENTORY_LOCATION_TYPE      VARCHAR2(120) ,
    PICKING_ORDER                NUMBER        ,
    PHYSICAL_LOCATION_CODE       VARCHAR2(40)  ,
    LOCATION_MAXIMUM_UNITS       NUMBER        ,
    SUBINVENTORY_CODE            VARCHAR2(40)  ,
    LOCATION_WEIGHT_UOM_CODE     VARCHAR2(12)  ,
    MAX_WEIGHT                   NUMBER        ,
    VOLUME_UOM_CODE              VARCHAR2(12)  ,
    MAX_CUBIC_AREA               NUMBER        ,
    X_COORDINATE                 NUMBER        ,
    Y_COORDINATE                 NUMBER        ,
    Z_COORDINATE                 NUMBER        ,
    SEGMENT1                     VARCHAR2(160) ,
    SEGMENT2                     VARCHAR2(160) ,
    SEGMENT3                     VARCHAR2(160) ,
    SEGMENT4                     VARCHAR2(160) ,
    SEGMENT5                     VARCHAR2(160) ,
    SEGMENT6                     VARCHAR2(160) ,
    SEGMENT7                     VARCHAR2(160) ,
    SEGMENT8                     VARCHAR2(160) ,
    SEGMENT9                     VARCHAR2(160) ,
    SEGMENT10                    VARCHAR2(160) ,
    SEGMENT11                    VARCHAR2(160) ,
    SEGMENT12                    VARCHAR2(160) ,
    SEGMENT13                    VARCHAR2(160) ,
    SEGMENT14                    VARCHAR2(160) ,
    SEGMENT15                    VARCHAR2(160) ,
    SEGMENT16                    VARCHAR2(160) ,
    SEGMENT17                    VARCHAR2(160) ,
    SEGMENT18                    VARCHAR2(160) ,
    SEGMENT19                    VARCHAR2(160) ,
    SEGMENT20                    VARCHAR2(160) ,
    SUMMARY_FLAG                 VARCHAR2(4)   ,
    ENABLED_FLAG                 VARCHAR2(4)   ,
    START_DATE_ACTIVE            DATE          ,
    END_DATE_ACTIVE              DATE          ,
    ATTRIBUTE_CATEGORY           VARCHAR2(120) ,
    ATTRIBUTE1                   VARCHAR2(600) ,
    ATTRIBUTE2                   VARCHAR2(600) ,
    ATTRIBUTE3                   VARCHAR2(600) ,
    ATTRIBUTE4                   VARCHAR2(600) ,
    ATTRIBUTE5                   VARCHAR2(600) ,
    ATTRIBUTE6                   VARCHAR2(600) ,
    ATTRIBUTE7                   VARCHAR2(600) ,
    ATTRIBUTE8                   VARCHAR2(600) ,
    ATTRIBUTE9                   VARCHAR2(600) ,
    ATTRIBUTE10                  VARCHAR2(600) ,
    ATTRIBUTE11                  VARCHAR2(600) ,
    ATTRIBUTE12                  VARCHAR2(600) ,
    ATTRIBUTE13                  VARCHAR2(600) ,
    ATTRIBUTE14                  VARCHAR2(600) ,
    ATTRIBUTE15                  VARCHAR2(600) ,
    REQUEST_ID                   NUMBER(18, 0) ,
    PROJECT_ID                   NUMBER(18, 0) ,
    JOB_DEFINITION_NAME          VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE       VARCHAR2(3600),
    TASK_ID                      NUMBER(18, 0) ,
    PHYSICAL_LOCATION_ID         NUMBER(18, 0) ,
    PICK_UOM_CODE                VARCHAR2(12)  ,
    DIMENSION_UOM_CODE           VARCHAR2(12)  ,
    LOCATION_LENGTH              NUMBER        ,
    LOCATION_WIDTH               NUMBER        ,
    LOCATION_HEIGHT              NUMBER        ,
    LOCATOR_STATUS               NUMBER(18, 0) ,
    STATUS_ID                    NUMBER(18, 0) ,
    CURRENT_CUBIC_AREA           NUMBER        ,
    AVAILABLE_CUBIC_AREA         NUMBER        ,
    CURRENT_WEIGHT               NUMBER        ,
    AVAILABLE_WEIGHT             NUMBER        ,
    LOCATION_CURRENT_UNITS       NUMBER        ,
    LOCATION_AVAILABLE_UNITS     NUMBER        ,
    INVENTORY_ITEM_ID            NUMBER(18, 0) ,
    SUGGESTED_CUBIC_AREA         NUMBER        ,
    SUGGESTED_WEIGHT             NUMBER        ,
    LOCATION_SUGGESTED_UNITS     NUMBER        ,
    EMPTY_FLAG                   VARCHAR2(4)   ,
    MIXED_ITEMS_FLAG             VARCHAR2(4)   ,
    DROPPING_ORDER               NUMBER        ,
    AVAILABILITY_TYPE            NUMBER(9, 0)  ,
    INVENTORY_ATP_CODE           NUMBER(9, 0)  ,
    RESERVABLE_TYPE              NUMBER(9, 0)  ,
    ALIAS                        VARCHAR2(120) ,
    DEPRECIABLE_FLAG             NUMBER(9, 0)  ,
    AUDIT_ACTION_TYPE_           VARCHAR2(40)  ,
    AUDIT_CHANGE_BIT_MAP_        VARCHAR2(4000),
    AUDIT_IMPERSONATOR_          VARCHAR2(256) ,
    LOCATOR_NAME                 VARCHAR2(4000),
    FULL_LPN_FLAG                VARCHAR2(4)   ,
    CONSTRAINT pk_inv_item_locations_ PRIMARY KEY (INVENTORY_LOCATION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY, INVENTORY_LOCATION_ID, LAST_UPDATE_DATE, LAST_UPDATED_BY)
);
